Password Policy Config
Password Policy Configs- Password Policy Configs ManageGET global/passwordPolicyConfig- Get a single Password Policy ConfigPUT global/passwordPolicyConfig- Update the Password Policy Config
Password Policy Config JSON Format
Password Policy Config is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
isMinimumPasswordLengthEnabled |
bool | Whether the Minimum Password Length is enabled or not. |
isReusePreviousPasswordsPrevented |
bool | Whether the Reuse Previous Passwords Prevented is enabled or not. |
isPasswordExpiredInCertainDays |
bool | Whether the Password Expired In Certain Days is enabled or not. |
isPasswordComplexityRequired |
bool | Whether the Password Complexity Required is enabled or not. |
isPasswordContainingUsernamePrevented |
bool | Whether the Password Containing Username Prevented is enabled or not. |
isDailyPasswordChangeTimesLimited |
bool | Whether the Daily Password Change Times Limited is enabled or not. |
isSimplePasswordPrevented |
bool | Whether simple and commonly used passwords are restricted or not. |
isAgentLockedAfterCertainAttempts |
bool | Whether the Agent Locked After Certain Attempts is enabled or not. |
siteId |
integer | Id of the site. |
minimumPasswordLength |
integer | Minimum length of the password. |
previousPasswordsRemembered |
integer | Number of the last passwords that can not be used this time. |
maximumDailyPasswordChangeTimes |
integer | Maximum number of password changes allowed daily. |
maximumLoginAttemptsBeforeLock |
integer | Maximum number of login attempts allowed before the account is locked. |
passwordExpiredInCertainDays |
integer | Number of days the password is valid for. |
Get a single Password Policy Config
GET global/passwordPolicyConfig
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/global/passwordPolicyConfig \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"isMinimumPasswordLengthEnabled": false,
"isReusePreviousPasswordsPrevented": false,
"isPasswordExpiredInCertainDays": false,
"isPasswordComplexityRequired": false,
"isPasswordContainingUsernamePrevented": false,
"isDailyPasswordChangeTimesLimited": false,
"isSimplePasswordPrevented": false,
"isAgentLockedAfterCertainAttempts": false,
"siteId": 10000,
"minimumPasswordLength": 6,
"previousPasswordsRemembered": 1,
"maximumDailyPasswordChangeTimes": 2,
"maximumLoginAttemptsBeforeLock": 6,
"passwordExpiredInCertainDays": 1
}
Update the Password Policy Config
PUT global/passwordPolicyConfig
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
isMinimumPasswordLengthEnabled |
bool | body | no | Whether the Minimum Password Length is enabled or not. |
isReusePreviousPasswordsPrevented |
bool | body | no | Whether the Reuse Previous Passwords Prevented is enabled or not. |
isPasswordExpiredInCertainDays |
bool | body | no | Whether the Password Expired In Certain Days is enabled or not. |
isPasswordComplexityRequired |
bool | body | no | Whether the Password Complexity Required is enabled or not. |
isPasswordContainingUsernamePrevented |
bool | body | no | Whether the Password Containing Username Prevented is enabled or not. |
isDailyPasswordChangeTimesLimited |
bool | body | no | Whether the Daily Password Change Times Limited is enabled or not. |
isSimplePasswordPrevented |
bool | body | no | Whether simple and commonly used passwords are restricted or not. |
isAgentLockedAfterCertainAttempts |
bool | body | no | Whether the Agent Locked After Certain Attempts is enabled or not. |
minimumPasswordLength |
integer | body | no | Minimum length of the password. |
previousPasswordsRemembered |
integer | body | no | Number of the last passwords that can not be used this time. |
maximumDailyPasswordChangeTimes |
integer | body | no | Maximum number of password changes allowed daily. |
maximumLoginAttemptsBeforeLock |
integer | body | no | Maximum number of login attempts allowed before the account is locked. |
passwordExpiredInCertainDays |
integer | body | no | Number of days the password is valid for. |
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/global/passwordPolicyConfig \
-X 'PUT' \
-H 'Authorization: Bearer {access_token}' \
-H 'Content-Type: application/json' \
-D '{"isMinimumPasswordLengthEnabled":false,"isReusePreviousPasswordsPrevented":false,"isPasswordExpiredInCertainDays":false,"isPasswordComplexityRequired":false,"isPasswordContainingUsernamePrevented":false,"isDailyPasswordChangeTimesLimited":false,"isSimplePasswordPrevented":false,"isAgentLockedAfterCertainAttempts":false,"minimumPasswordLength":6,"previousPasswordsRemembered":1,"maximumDailyPasswordChangeTimes":2,"maximumLoginAttemptsBeforeLock":6,"passwordExpiredInCertainDays":1}'
Response:
HTTP/1.1 200 OK
{
"isMinimumPasswordLengthEnabled": false,
"isReusePreviousPasswordsPrevented": false,
"isPasswordExpiredInCertainDays": false,
"isPasswordComplexityRequired": false,
"isPasswordContainingUsernamePrevented": false,
"isDailyPasswordChangeTimesLimited": false,
"isSimplePasswordPrevented": false,
"isAgentLockedAfterCertainAttempts": false,
"siteId": 10000,
"minimumPasswordLength": 6,
"previousPasswordsRemembered": 1,
"maximumDailyPasswordChangeTimes": 2,
"maximumLoginAttemptsBeforeLock": 6,
"passwordExpiredInCertainDays": 1
}